<?xml version="1.0" encoding="utf-8"?>
<android.support.v7.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="10dp"
    android:layout_marginRight="10dp"
    android:layout_marginBottom="10dp"
    android:foreground="?android:attr/selectableItemBackground"
    app:cardCornerRadius="4dp"
    app:cardElevation="0px"
    app:cardPreventCornerOverlap="false"
    tools:targetApi="lollipop">

    <RelativeLayout
        android:id="@+id/rlContent"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:padding="16dp">

        <com.jrmf360.rylib.rp.widget.RoundImageView
            android:id="@+id/ivAvatar"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:src="@drawable/avatar_normal"
            app:jrmf_borderRadius="5dp"
            app:jrmf_type="round" />

        <TextView
            android:id="@+id/tvName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_toLeftOf="@id/llStatus"
            android:layout_toRightOf="@id/ivAvatar"
            android:ellipsize="end"
            android:maxLines="1"
            android:textColor="@color/black"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/tvDate"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/tvName"
            android:layout_alignBottom="@id/ivAvatar"
            android:layout_marginLeft="10dp"
            android:layout_toRightOf="@id/ivAvatar"
            android:gravity="bottom"
            android:textColor="@color/gray"
            android:textSize="12sp" />

        <LinearLayout
            android:id="@+id/llStatus"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true">

            <TextView
                android:id="@+id/tvStatus"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:clickable="true"
                android:paddingLeft="10dp"
                android:paddingTop="5dp"
                android:paddingRight="10dp"
                android:paddingBottom="5dp"
                android:text="对方验证中"
                android:textColor="#3b93e9"
                android:visibility="gone" />

            <TextView
                android:id="@+id/tvAgree"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="10dp"
                android:background="@drawable/shape_blue_bg_round"
                android:clickable="true"
                android:paddingLeft="10dp"
                android:paddingTop="5dp"
                android:paddingRight="10dp"
                android:paddingBottom="5dp"
                android:text="同意"
                android:textColor="@color/white"
                android:visibility="gone" />

            <TextView
                android:id="@+id/tvRefuse"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/shape_red_bg_round"
                android:clickable="true"
                android:paddingLeft="10dp"
                android:paddingTop="5dp"
                android:paddingRight="10dp"
                android:paddingBottom="5dp"
                android:text="拒绝"
                android:textColor="@color/white"
                android:visibility="gone" />

        </LinearLayout>

    </RelativeLayout>


</android.support.v7.widget.CardView>
